%define real_name xattr
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%define subrel 2

Summary: Extended attributes for python
Name: python-xattr
Version: 0.7.2
Release: %mkrel 3
License: GPL
Group: Development/Python
URL: http://pypi.python.org/pypi/xattr
Source: http://pypi.python.org/packages/source/x/xattr/xattr-%{version}.tar.gz
Provides: pyxattr = %{version}-%{release}
BuildRequires: libattr-devel
BuildRequires: python-setuptools
BuildRequires: pkgconfig(libffi)
BuildRequires: pkgconfig(python)
BuildRequires: python-cffi
BuildRequires: python-ply
BuildRequires: python-pycparser
Requires: python-pkg-resources

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%prep
%setup -q -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root="%{buildroot}" --install-purelib=%{python_sitearch}


%files
%{_bindir}/xattr
%{python_sitearch}/*


%changelog
* Sat Jul 19 2014 philippem <philippem> 0.7.2-3.2.mga4
+ Revision: 653775
- fix build requires
- add missing requires mga#13750

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 544505
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.2-2.mga4
+ Revision: 499765
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.7.2-1.mga4
+ Revision: 491868
- Update to 0.7.2

* Wed Aug 14 2013 philippem <philippem> 0.6.4-3.mga4
+ Revision: 466565
- fix missing buildrequires

* Sun Jan 13 2013 umeabot <umeabot> 0.6.4-2.mga3
+ Revision: 379693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 philippem <philippem> 0.6.4-1.mga2
+ Revision: 211549
- Update to 0.6.4.

* Wed Oct 26 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 158251
- New upstream 0.6.2

* Thu Apr 14 2011 ahmad <ahmad> 0.6.1-4.mga1
+ Revision: 85428
- install with --skip-build
- use upstream %%{python_sitearch}
- imported package python-xattr

